### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.iom

# Class InputStreamHeader

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
com.sas.iom.InputStreamHeader

All Implemented Interfaces:
  `com.sas.io.InputStreamHeaderInterface`, `Serializable`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public class InputStreamHeader extends UnicastRemoteObject implements com.sas.io.InputStreamHeaderInterface
Provides the capability to read header information from an `IOM InputStream`.

Since:
  1.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.rmi.server.RemoteObject

  `ref`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputStreamHeader(InputStream inputStream)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCharacterEncoding()`
  `String`
  `getContentEncoding()`
  `String`
  `getContentType()`
  `long`
  `getHeaderFieldDate(String name, long Default)`
  `int`
  `getHeaderFieldInt(String name, int Default)`
  `Map`
  `getHeaders()`
  Get response headers by delegating to the InputStream.
  `boolean`
  `headerAvailable()`
  Determine whether or not the header is available by delegating to the InputStream.

  ### Methods inherited from class java.rmi.server.UnicastRemoteObject

  `clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

  ### Methods inherited from class java.rmi.server.RemoteServer

  `getClientHost, getLog, setLog`

  ### Methods inherited from class java.rmi.server.RemoteObject

  `equals, getRef, hashCode, toString, toStub`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InputStreamHeader

    public InputStreamHeader(InputStream inputStream) throws RemoteException
    Throws:
      `RemoteException`

- ## Method Details

  - ### getCharacterEncoding

    public String getCharacterEncoding() throws IOException, RemoteException
    Specified by:
      `getCharacterEncoding` in interface `com.sas.io.InputStreamHeaderInterface`
    Throws:
      `IOException`
      `RemoteException`

  - ### getContentEncoding

    public String getContentEncoding() throws IOException, RemoteException
    Specified by:
      `getContentEncoding` in interface `com.sas.io.InputStreamHeaderInterface`
    Throws:
      `IOException`
      `RemoteException`

  - ### getContentType

    public String getContentType() throws IOException, RemoteException
    Specified by:
      `getContentType` in interface `com.sas.io.InputStreamHeaderInterface`
    Throws:
      `IOException`
      `RemoteException`

  - ### getHeaderFieldDate

    public long getHeaderFieldDate(String name, long Default) throws IOException, RemoteException
    Specified by:
      `getHeaderFieldDate` in interface `com.sas.io.InputStreamHeaderInterface`
    Throws:
      `IOException`
      `RemoteException`

  - ### getHeaderFieldInt

    public int getHeaderFieldInt(String name, int Default) throws IOException, RemoteException
    Specified by:
      `getHeaderFieldInt` in interface `com.sas.io.InputStreamHeaderInterface`
    Throws:
      `IOException`
      `RemoteException`

  - ### getHeaders

    public Map getHeaders() throws IOException, RemoteException
    Get response headers by delegating to the InputStream.
    Specified by:
      `getHeaders` in interface `com.sas.io.InputStreamHeaderInterface`
    Throws:
      `IOException`
      `RemoteException`

  - ### headerAvailable

    public boolean headerAvailable() throws RemoteException
    Determine whether or not the header is available by delegating to the InputStream.
    Specified by:
      `headerAvailable` in interface `com.sas.io.InputStreamHeaderInterface`
    Throws:
      `RemoteException`